restic backup(1)

NAME

restic-find - Find a file or directory

SYNOPSIS

restic find [flags] PATTERN

DESCRIPTION

The "find" command searches for files or directories in snapshots stored in the repo.

OPTIONS

-h, --help[=false]
    help for find

-H, --host=""
    only consider snapshots for this host, when no snapshot ID is given

-i, --ignore-case[=false]
    ignore case for pattern

-l, --long[=false]
    use a long listing format showing size and mode

-N, --newest=""
    newest modification date/time

-O, --oldest=""
    oldest modification date/time

--path=[]
    only consider snapshots which include this (absolute) path, when no snapshot-ID is given

-s, --snapshot=[]
    snapshot id to search in (can be given multiple times)

--tag=[]
    only consider snapshots which include this taglist, when no snapshot-ID is given

OPTIONS INHERITED FROM PARENT COMMANDS

--json[=false]
    set output mode to JSON for commands that support it

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

SEE ALSO

restic(1)